Bug 149631 - [Win] Correct positioning error introduced in r190235
Summary: [Win] Correct positioning error introduced in r190235
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: PC All
: P2 Normal
Assignee: Brent Fulgham
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-29 10:45 PDT by Brent Fulgham
Modified: 2015-10-06 09:29 PDT (History)
2 users (show)

See Also:


Attachments
Patch (2.49 KB, patch)
2015-10-02 14:35 PDT, Brent Fulgham
no flags Details | Formatted Diff | Diff
Patch (4.97 KB, patch)
2015-10-05 18:08 PDT, Brent Fulgham
simon.fraser: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Fulgham 2015-09-29 10:45:51 PDT
While working on Bug 149516, I introduce a drawing error that caused the following tests to fail:

css3/filters/clipping-overflow-scroll-with-pixel-moving-effect-on.html
fast/layers/no-clipping-overflow-hidden-added-after-transform.html
fast/layers/no-clipping-overflow-hidden-added-after-transition.html
fast/layers/no-clipping-overflow-hidden-hardware-acceleration.html
transforms/2d/preserve3d-not-fixed-container.html
Comment 1 Brent Fulgham 2015-10-02 14:35:21 PDT
Created attachment 262350 [details]
Patch
Comment 2 Brent Fulgham 2015-10-05 18:08:00 PDT
Created attachment 262488 [details]
Patch
Comment 3 Simon Fraser (smfr) 2015-10-05 18:51:54 PDT
Comment on attachment 262488 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=262488&action=review

> Source/WebCore/ChangeLog:14
> +          css3/filters/clipping-overflow-scroll-with-pixel-moving-effect-on.html
> +          fast/layers/no-clipping-overflow-hidden-added-after-transform.html
> +          fast/layers/no-clipping-overflow-hidden-added-after-transition.html
> +          fast/layers/no-clipping-overflow-hidden-hardware-acceleration.html
> +          transforms/2d/preserve3d-not-fixed-container.html

Ironic (and bad) that there the compositing tests didn't catch this, because they are all skipped.
Comment 4 Brent Fulgham 2015-10-06 09:29:05 PDT
Committed r190616: <http://trac.webkit.org/changeset/190616>